MSP430™CapTIvateSoftwareLibraryAPIGuide 1_70_00_03

Data Fields
tEMCConfig Struct Reference
CAPT_TYPE

typedef tEMCConfig More...

`#include <CAPT_Type.h>`

## Data Fields
IQ31_t | coeffA
IQ31_t | coeffB
uint16_t | ui16CalibrationNoiseLimit
uint16_t | ui8CalibrationTestSampleSize
uint8_t | ui8NoiseThreshold
uint8_t | ui8MaxRelThreshAdj
| ui8MaxRelThreshAdj specifies the maximum relative threshold adjustment. More...
uint8_t | ui8NoiseLevelFilterEntryThresh
uint8_t | ui8NoiseLevelFilterExitThresh
uint8_t | ui8NoiseLevelFilterUp: 4
uint8_t | ui8NoiseLevelFilterDown: 4
tOversamplingStyle | selfModeOversamplingStyle: 4
tOversamplingStyle | projModeOversamplingStyle: 4
tRawConversionStyle | selfModeConversionStyle: 3
tRawConversionStyle | projModeConversionStyle: 3
bool | bJitterFilterEnable: 1
| bJitterFilterEnable controls whether the jitter filter is enabled. More...
bool | bEnableDynamicThresholdAdjustment: 1

## Detailed Description

typedef tEMCConfig

This structure contains the configuration parameters for the EMC layer.

## Field Documentation

## § coeffA

IQ31_t tEMCConfig::coeffA

This is the 'A' coefficient to use when computing the threshold compensation in self-capacitance mode.

## § coeffB

IQ31_t tEMCConfig::coeffB

This is the 'B' coefficient to use when computing the threshold compensation in self-capacitance mode.

## § ui16CalibrationNoiseLimit

uint16_t tEMCConfig::ui16CalibrationNoiseLimit

ui16CalibrationNoiseLimit specifies the maximum peak-to-peak noise tolerated on a given frequency during the calibration process after which that frequency will be considered affected by noise and its calibration values will be considered invalid.

## § ui8CalibrationTestSampleSize

uint16_t tEMCConfig::ui8CalibrationTestSampleSize

ui8CalibrationTestSampleSize specifies size of the sample set used to determine if noise was present on a given frequency during calibration.

## § ui8NoiseThreshold

uint8_t tEMCConfig::ui8NoiseThreshold

ui8NoiseThreshold specifies the level of noise after which the noise status bits get set. The units are specified in terms of % of the long term average, with 0=0% and 128=100%.

## § ui8MaxRelThreshAdj

uint8_t tEMCConfig::ui8MaxRelThreshAdj

ui8MaxRelThreshAdj specifies the maximum relative threshold adjustment.

## § ui8NoiseLevelFilterEntryThresh

uint8_t tEMCConfig::ui8NoiseLevelFilterEntryThresh

ui8NoiseLevelFilterThresh defines a level at which the noise level becomes a filtered value.

## § ui8NoiseLevelFilterExitThresh

uint8_t tEMCConfig::ui8NoiseLevelFilterExitThresh

ui8NoiseLevelFilterThresh defines a level at which the noise level filter is disabled.

## § ui8NoiseLevelFilterUp

uint8_t tEMCConfig::ui8NoiseLevelFilterUp

ui8NoiseLevelFilterUp specifies the strength of the filter applied to new noise values when the new value is larger than the current value.

## § ui8NoiseLevelFilterDown

uint8_t tEMCConfig::ui8NoiseLevelFilterDown

ui8NoiseLevelFilterDown specifies the strength of the filter applied to new noise values when the new value is less than the current value.

## § selfModeOversamplingStyle

tOversamplingStyle tEMCConfig::selfModeOversamplingStyle

selfModeOversamplingStyle specifies the oversampling style to use for self conversions when noise immunity is enabled

## § projModeOversamplingStyle

tOversamplingStyle tEMCConfig::projModeOversamplingStyle

projModeOversamplingStyle specifies the oversampling style to use for projected (mutual) conversions when noise immunity is enabled

## § selfModeConversionStyle

tRawConversionStyle tEMCConfig::selfModeConversionStyle

bSelfModeFrequencyHoppingEnable enables frequency hopping in self capacitance mode.

## § projModeConversionStyle

tRawConversionStyle tEMCConfig::projModeConversionStyle

bProjModeFrequencyHoppingEnable enables frequency hopping in projected (mutual) capacitance mode.

## § bJitterFilterEnable

bool tEMCConfig::bJitterFilterEnable

bJitterFilterEnable controls whether the jitter filter is enabled.

## § bEnableDynamicThresholdAdjustment

bool tEMCConfig::bEnableDynamicThresholdAdjustment

bEnableDynamicThresholdAdjustment This switch turns on or off the dynamic threshold adjustment.

The documentation for this struct was generated from the following file:

- CAPT_Type.h

© Copyright 1995-2018, Texas Instruments Incorporated. All rights reserved.
Trademarks | Privacy policy | Terms of use | Terms of sale